> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sezzle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Interest Account Activity Request

> If you are enrolled in the interest account program, get the current activity on the interest account.

<Danger>
  You are viewing Version 1 of the Sezzle API. Check out the [current version](/docs/api/intro)!
</Danger>


## OpenAPI

````yaml get /v1/interest/activity
openapi: 3.1.0
info:
  title: Sezzle API v2
  description: >-
    This Sezzle API is for merchants who want to accept Sezzle as a payment
    option
  termsOfService: https://legal.sezzle.com
  version: 2.0.0
  x-logo:
    url: https://media.sezzle.com/branding/2.0/png/Logo_WhiteWordmark_500x126.png
    backgroundColor: '#392558'
servers:
  - url: https://sandbox.gateway.sezzle.com
    description: development server, usa, ca
  - url: https://gateway.sezzle.com
    description: production server, usa, ca
security:
  - Bearer: []
externalDocs:
  description: Sezzle API guides and tutorials
  url: https://docs.sezzle.com/sezzle-integration
paths:
  /v1/interest/activity:
    get:
      tags:
        - v1
        - Reports
      summary: Interest Account Activity Request
      description: >-
        If you are enrolled in the interest account program, get the current
        activity on the interest account.
      operationId: get-interest-activity-v1
      parameters:
        - name: start-date
          in: query
          description: The start date for the report. Must be in yyyy-mm-dd format.
          required: true
          schema:
            type: string
            format: yyyy-mm-dd
        - name: end-date
          in: query
          description: >-
            The end date for the report. Must be in yyyy-mm-dd format. If
            omitted, will default to the current date.
          schema:
            type: string
            format: yyyy-mm-dd
        - name: offset
          in: query
          description: The offset for the report. Limit is 20.
          schema:
            type: string
            format: int32
        - name: currency-code
          in: query
          description: >-
            The ISO-4217 currency code of the interest account. If omitted, will
            default to USD.
          schema:
            type: string
      responses:
        '200':
          description: Successful Operation
          content:
            text/csv:
              schema:
                type: string
              example: >
                type,event_date,interest_account_change_amount,interest_account_balance_after_change
                INTEREST_PAYOUT,2019-12-21T19:10:00Z,122.8718,5101.4676
                INTEREST_WITHDRAWAL,2019-12-21T19:20:00Z,-26.1000,5075.3676
                INTEREST_ACCRUAL,2019-12-21T19:15:00Z,1.0702,5182.3922
                INTEREST_ACCRUAL,2019-12-22T19:15:00Z,1.0702,5183.4624
        '400':
          $ref: '#/components/responses/BadRequestV1'
          example:
            status: 400
            id: bad_request
            message: bad request
        '401':
          $ref: '#/components/responses/UnauthorizedV1'
          example:
            status: 401
            id: Unauthorized
            message: authorization not accepted
        '404':
          $ref: '#/components/responses/NotFoundV1'
          example:
            status: 404
            id: invalid
            message: not found
        '422':
          $ref: '#/components/responses/UnprocessableV1'
          example:
            status: 422
            id: invalid
            message: Unprocessable entity
components:
  responses:
    BadRequestV1:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorV1'
          example:
            status: 400
            id: bad_request
            message: bad request
    UnauthorizedV1:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorV1'
          example:
            status: 401
            id: unauthorized
            message: authorization not accepted
    NotFoundV1:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorV1'
          example:
            status: 404
            id: record_not_found
            message: not found
    UnprocessableV1:
      description: Unable to process the request entity
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorV1'
          example:
            status: 422
            id: invalid
            message: Unprocessable entity
  schemas:
    ErrorV1:
      type: object
      properties:
        status:
          type: number
          description: Matches the HTTP Status code of the response
        id:
          type: string
          description: >-
            A programmatic identifier for the error. These rarely (if at all)
            change.
        message:
          type: string
          description: >-
            A human-friendly string. These may change, and are intended to
            assist in debugging rather than program logic.
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header
      description: >-
        The authentication token generated from providing API Keys to Sezzle
        Gateway

````